Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
backups
Get an environment's backup list
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/backups \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "attributes": {},
    "status": "CREATED",
    "expires_at": "2023-11-07T05:31:56Z",
    "index": 123,
    "commit_id": "<string>",
    "environment": "<string>",
    "safe": true,
    "size_of_volumes": 123,
    "size_used": 123,
    "deployment": "<string>",
    "restorable": true,
    "automated": true
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required

Response

default - application/json
id
string
required

The identifier of Backup

created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

attributes
Arbitrary attributes · object
required

Arbitrary attributes attached to this resource

status
enum<string>
required

The status of the backup

Available options:
CREATED,
DELETING
expires_at
string<date-time> | null
required

Expiration date of the backup

index
integer | null
required

The index of this automated backup

commit_id
string
required

The ID of the code commit attached to the backup

environment
string
required

The environment the backup belongs to

safe
boolean
required

Whether this backup was taken in a safe way

size_of_volumes
integer | null
required

Total size of volumes backed up

size_used
integer | null
required

Total size of space used on volumes backed up

deployment
string | null
required

The current deployment at the time of backup

restorable
boolean
required

Whether the backup is restorable

automated
boolean
required

Whether the backup is automated